def will_connect():
    info("Creating external memory regions...")
    extFlash = FlashRegion(
        name="QSPI",
        start=0x90000000,
        length=0x00800000,
        page_size=0x100,
        sector_size=0x1000,
        access="rx",
        flm="assets/DEVEBOX_H750VB_QSPI.FLM"
    )
    target.memory_map.add_region(extFlash)

    extSDRAM = RamRegion(
        name="SDRAM",
        start=0xD0000000,
        length=0x04000000,
        access="rwx"
    )

    target.memory_map.add_region(extSDRAM)
